#ifndef _DECDCT_H_
#define _DECDCT_H_

/*
 * decDct.c
 *
 *    Copyright (c) 1995-2000 Nokia Research Center
 *
 * Contains:
 *    Decoding functions for reconstructing the prediction error from 
 *    the coding information.
 *
 */

#include "mainFlags.h"
#include "toolDct.h"
#include "toolMCC.h"


/*
 * Defines
 */


/*
 * Structs and typedefs
 */


/*
 * Function prototypes
 */

void decDct(int *qcoeffs, int *recoBlock, int qp, int cols, int rows,
	    int chroma, int mode);

void decInverseDct(int *diffBlk, int *dctCoeffs, int qp, int chroma,
		   int sizeX, int sizeY);

#endif
