#ifndef PREDERRC_H
#define PREDERRC_H

#include "globals.h"

void store_8x8_info1(int codingMethod, int class, int *methCoeffs, int mode);
void store_8x8_info2(int *methCoeffs, int codingMethod);
void store_8x8_info3(int *methCoeffs, int codingMethod, int chroma, int mode);

void SendMacroblockAccumBits(struct frame *currFr, struct frame *predBuffer,
                             struct frame *recoFr, int qp, int aQP,
                             object *objectList, int indMBlk,
                             int picSizeX, int picSizeY, float lambda,
                             int16 *slicePredMap, int currSliceID,
                             int *sliceXmin, int *sliceXmax,
                             int *sliceYmin, int *sliceYmax,
                             int numActiveRefFrames,
                             Bits *bits, int complexityMode);

void

SendIntraMccRegion(struct frame *currfr, struct frame *recofr,
                   int16 *slicePredMap, int currSliceID,
                   int sliceXmin, int sliceXmax, int sliceYmin, int sliceYmax,
                   object *current_region,
                   int regionSize, int predPossible,
                   int sizex, int sizey, int mode, int qp, float lambda,
                   int *bits_reg_mcc_y, int *bits_reg_mcc_uv,
                   int *bits_reg_ovh_y, int *bits_reg_ovh_uv,       
                   int *bits_reg_mode, int gen_bitstr_flag, int complexityMode);

int SendRegionMode(int regionMode, int pecMode, int predPossible, int regSize,
                   int genBitstrFlag);

int SendMotionPredInfo(int predDirsAvail, int predDir,
                       int predSelNeeded, int predSel,
                       int genBitstrFlag);

#endif
